gr-baz Package

baz_gate.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <uhd/types/time_spec.hpp>`
`#include <gnuradio/thread/thread.h>`
Include dependency graph for baz_gate.h:

Go to the source code of this file.

## Classes
class | baz_gate
| square2 a stream of floats. More...

## Functions
BAZ_API baz_gate_sptr | baz_make_gate (int item_size, bool block=true, float threshold=1.0, int trigger_length=0, bool tag=false, double delay=0.0, int sample_rate=0, bool no_delay=false, bool verbose=true, bool retriggerable=false, const std::string &length_tag_name="", bool complete_output=false, bool byte_trigger=false, const std::string &trigger_tag_name="")
| Return a shared_ptr to a new instance of baz_gate.

## Variables
class BAZ_API | baz_gate

## Function Documentation

## ◆ baz_make_gate()

BAZ_API baz_gate_sptr baz_make_gate | ( | int | item_size,
|  | bool | block = true,
|  | float | threshold = 1.0,
|  | int | trigger_length = 0,
|  | bool | tag = false,
|  | double | delay = 0.0,
|  | int | sample_rate = 0,
|  | bool | no_delay = false,
|  | bool | verbose = true,
|  | bool | retriggerable = false,
|  | const std::string & | length_tag_name = "",
|  | bool | complete_output = false,
|  | bool | byte_trigger = false,
|  | const std::string & | trigger_tag_name = "" )

Return a shared_ptr to a new instance of baz_gate.

To avoid accidental use of raw pointers, baz_gate's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

References BAZ_API.

## Variable Documentation

## ◆ baz_gate

class BAZ_API baz_gate